Skip to content
POST /unified/ads/custom_audiences/remove_members

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

account_idstring

The unique identifier for the account.

2 supported2 required
Google Ads
required
Meta Marketing API
required
custom_audience_idstring
3 supported3 required
Google Ads
required
LinkedIn
required
Meta Marketing API
required
membersobject[]

A list of audience members.

1 supported1 required
LinkedIn
required
applicationstring
citystring
companystring

The name of the company.

countrystring

The country associated with the user or company.

domainstring

Set only if type is COMPANY. The email domain of the company.

emailstring

Set only if type is USER. The email address of the user.

first_namestring

Set only if type is USER. The first name of the user.

genderstring
google_advertiser_idstring

Set only if type is USER. The Google Advertiser ID of the user.

keywordstring
last_namestring

Set only if type is USER. The last name of the user.

linkedin_urlstring

Set only if type is COMPANY. The LinkedIn URL of the company.

location_categorystring
mobile_idstring
organization_urnstring

Set only if type is COMPANY. The unique organization URN (Uniform Resource Name).

phonestring
postal_codestring
statestring
third_party_user_idstring
titlestring

Set only if type is USER. The job title of the user.

urlstring
websitestring

Set only if type is COMPANY. The website domain of the company.

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

typestring

The type of custom audience.

Possible values:
USERCOMPANY
1 supported1 required
LinkedIn
required
USERCOMPANY

Response Body

account_idstring

The unique identifier for the account.

created_atstring · date-time

The date and time the account was created.

descriptionstring

The description of the custom audience.

idstring

The unique identifier for the custom audience.

1 supported
Google Ads
supported
membersobject[]

A list of audience members.

applicationstring
companystring
countrystring
domainstring
emailstring
first_namestring
google_advertiser_idstring
keywordstring
last_namestring
linkedin_urlstring
location_categorystring
mobile_idstring
organization_urnstring
phonestring
third_party_user_idstring
titlestring
urlstring
websitestring
namestring

The name of the custom audience.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

sourcestring

The source of custom audience.

statusstring

The status of the custom audience.

Possible values:
activeinactivearchiveddeletedwith_issuesin_progressfailedexpired
typestring

The type of custom audience.

updated_atstring · date-time

The date and time the account was last updated.

curl -X POST 'https://api.truto.one/unified/ads/custom_audiences/remove_members?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "account_id": "your_account_id",
  "custom_audience_id": "your_custom_audience_id",
  "members": [],
  "type": "USER",
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "account_id": "your_account_id",
  "custom_audience_id": "your_custom_audience_id",
  "members": [],
  "type": "USER",
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ads/custom_audiences/remove_members?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ads/custom_audiences/remove_members"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "account_id": "your_account_id",
    "custom_audience_id": "your_custom_audience_id",
    "members": [],
    "type": "USER",
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: remove_members
const result = await truto.unifiedApi.remove_members(
  'ads',
  'customaudiences',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: remove_members
    result = await truto_api.unified_api.remove_members(
        "ads",
        "customaudiences",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())